Loading...
Searching...
No Matches
Dune::Functions::TrigonometricFunction< K, sinFactor, cosFactor > Class Template Reference
Functions » Function implementations

A linear combination of trigonomic functions. More...

`#include <dune/functions/analyticfunctions/trigonometricfunction.hh>`

## Public Member Functions

K | operator() (const K &x) const
| Evaluate function.

## Detailed Description

template<class K, int sinFactor, int cosFactor>
class Dune::Functions::TrigonometricFunction< K, sinFactor, cosFactor >

A linear combination of trigonomic functions.

Template Parameters

  K | Scalar type. The polynomial will map K to K
  sinFactor | Factor in front of sin
  cosFactor | Factor in front of cos

This class exists mainly to demonstrate how to implement the Concept::DifferentiableFunction<Range(Domain), DerivativeTraits> concept.

## Member Function Documentation

## operator()()

template<class K, int sinFactor, int cosFactor>

K Dune::Functions::TrigonometricFunction< K, sinFactor, cosFactor >::operator() | ( | const K & | x | ) | const

inline

Evaluate function.

The documentation for this class was generated from the following file:

- trigonometricfunction.hh